<?php

namespace Modules\Booking\Filament\Resources\Bookings\Pages;

use Filament\Resources\Pages\ViewRecord;
use Modules\Booking\Filament\Resources\Bookings\Actions\AssignDriverTableAction;
use Modules\Booking\Filament\Resources\Bookings\Actions\CancelBookingTableAction;
use Modules\Booking\Filament\Resources\Bookings\Actions\SetRemarkTableAction;
use Modules\Booking\Filament\Resources\Bookings\BookingResource;
use Modules\Payment\Filament\Actions\RefundBookingTableAction;

class ViewBooking extends ViewRecord
{
    protected static string $resource = BookingResource::class;

    protected function getHeaderActions(): array
    {
        return [
            AssignDriverTableAction::make(),
            SetRemarkTableAction::make(),
            CancelBookingTableAction::make(),
            RefundBookingTableAction::make(),
        ];
    }
}
